io.undertow.attribute

## Class SubstituteEmptyWrapper

- java.lang.Object
- - io.undertow.attribute.SubstituteEmptyWrapper

All Implemented Interfaces:
  ExchangeAttributeWrapper

    public class SubstituteEmptyWrapper
    extends Object
    implements ExchangeAttributeWrapper

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `SubstituteEmptyWrapper.SubstituteEmptyAttribute`

### Constructor Summary

Constructors
Constructor and Description
`SubstituteEmptyWrapper(String substitute)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExchangeAttribute` `wrap(ExchangeAttribute attribute)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubstituteEmptyWrapper

    public SubstituteEmptyWrapper(String substitute)

### Method Detail

#### wrap

    public ExchangeAttribute wrap(ExchangeAttribute attribute)

Specified by:
  `wrap` in interface `ExchangeAttributeWrapper`